Package com.saxonica.ee.schema

## Class MinInclusiveFacet

- java.lang.Object
- - com.saxonica.ee.schema.Facet
  - - com.saxonica.ee.schema.ValueRangeFacet
    - - com.saxonica.ee.schema.MinInclusiveFacet

-     public class MinInclusiveFacet
      extends ValueRangeFacet

  Implements the minInclusive facet on a simple type

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MinInclusiveFacet()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` | Returns the name of this Facet
    `protected boolean` | `testComparisonOK​(int comparisonResult)` | Test whether the comparison with the min or max value is a valid result

    - ### Methods inherited from class com.saxonica.ee.schema.ValueRangeFacet

      `checkFacetRestriction, convertToTargetType, getFacetAsFunctionItem, getRequiredValue, getValue, setRequiredValue, setValue, testAtomicValue`

    - ### Methods inherited from class com.saxonica.ee.schema.Facet

      `getConstraintName, getMessage, getWhitespaceAction, isConstraining, isFacetName, isFixed, isNewlyIntroduced, makeFacet, serializeFacet, setFixed, setMessage, testLength, testListValue, toLong`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MinInclusiveFacet

          public MinInclusiveFacet()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Description copied from class: `Facet`
      Returns the name of this Facet
      Specified by:
        `getName` in class `Facet`
      Returns:
        the name of this Facet

    - #### testComparisonOK

          protected boolean testComparisonOK​(int comparisonResult)

      Description copied from class: `ValueRangeFacet`
      Test whether the comparison with the min or max value is a valid result
      Specified by:
        `testComparisonOK` in class `ValueRangeFacet`
      Parameters:
        `comparisonResult` - the result of comparing the actual value with the specified min or max value, as defined using the compareTo() method
      Returns:
        true if the comparison is OK, that is, if the value conforms to the facet